<?php
declare(strict_types=1);

namespace AuxCF\Entities\Field\Enum;

use AuxCF\Entities\Settings\Traits\SettingEnumTraits;

enum TaxonomyFieldTypeEnum: string
{
  use SettingEnumTraits;

  case Checkbox = 'checkbox';
  case MultiSelect = 'multi_select';
  case Radio = 'radio';
  case Select = 'select';

  public const SETTING_KEY = 'field_type';
  public const SETTING_LABEL = 'field type';

  public const DEFAULT = self::Checkbox;
}
